Bug 1121293 - openshift.ks should not restart services at the end as openshift.sh does
Summary: openshift.ks should not restart services at the end as openshift.sh does
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 22:31 UTC by Miciah Dashiel Butler Masters
Modified: 2014-09-19 02:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: openshift.ks restarted services as one of its last actions. Consequence: openshift.ks would generate error messages for services that cannot start in a kickstart environment. Fix: openshift.ks no longer restarts services at the end of its execution. Because a kickstarted host reboots upon completion of execution of the kickstart script, restarting services at the end of openshift.ks is unnecessary. Result: openshift.ks no longer generates error messages from restarting services near the end of its execution.
Clone Of:
Environment:
Last Closed: 2014-09-12 00:39:09 UTC


Attachments (Terms of Use)

Description Miciah Dashiel Butler Masters 2014-07-18 22:31:34 UTC
Description of problem:

Because a kickstarted host reboots upon completion of execution of the kickstart script, it is unnecessary to restart services at the end of openshift.ks.

Furthermore, attempting to restart services will produce errors for services that cannot start in a kickstart environment.


How reproducible:

Completely.


Steps to Reproduce:

1. Kickstart a host using openshift.ks.

2. Look at the output at the kickstart's completion, or look in /root/anaconda-post.log after installation.


Actual results:

At Step 2, there is a veritable bevy of error messages:

    + restart_services
    + echo 'OpenShift: Begin restarting services.'
    + service iptables restart
    iptables-restore v1.4.7: iptables-restore: unable to initialize table 'filter'
    
    Error occurred at line: 1
    Try `iptables-restore -h' or 'iptables-restore --help' for more information.
    iptables: Applying firewall rules: [60G[[0;31mFAILED[0;39m]
    + named
    + :
    + service named restart
    Stopping named: .[60G[[0;32m  OK  [0;39m]
    Starting named: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service cgconfig restart
    Stopping cgconfig service: [60G[[0;32m  OK  [0;39m]
    Starting cgconfig service: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service cgred restart
    Stopping CGroup Rules Engine Daemon...[60G[[0;32m  OK  [0;39m]
    Starting CGroup Rules Engine Daemon: [60G[[0;32m  OK  [0;39m]
    + service network restart
    Shutting down interface eth0:  [60G[[0;32m  OK  [0;39m]
    Shutting down loopback interface:  [60G[[0;32m  OK  [0;39m]
    Bringing up loopback interface:  [60G[[0;32m  OK  [0;39m]
    Bringing up interface eth0:  
    Determining IP information for eth0... done.
    [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service sshd restart
    Stopping sshd: [60G[[0;31mFAILED[0;39m]
    Generating SSH1 RSA host key: [60G[[0;32m  OK  [0;39m]
    Generating SSH2 RSA host key: [60G[[0;32m  OK  [0;39m]
    Generating SSH2 DSA host key: [60G[[0;32m  OK  [0;39m]
    Starting sshd: [60G[[0;32m  OK  [0;39m]
    + service ntpd restart
    Shutting down ntpd: [60G[[0;31mFAILED[0;39m]
    Starting ntpd: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service messagebus restart
    Stopping system message bus: [60G[[0;31mFAILED[0;39m]
    Starting system message bus: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service ruby193-mcollective stop
    Shutting down mcollective: 
    + activemq
    + :
    + service activemq restart
    Stopping ActiveMQ Broker...
    ActiveMQ Broker was not running.
    Starting ActiveMQ Broker...
    + node
    + :
    + service ruby193-mcollective start
    Starting mcollective: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service httpd restart
    Stopping httpd: [60G[[0;32m  OK  [0;39m]
    [Wed Jul 16 15:03:11 2014] [warn] module perl_module is already loaded, skipping
    [Wed Jul 16 15:03:11 2014] [warn] module passenger_module is already loaded, skipping
    Starting httpd: [60G[[0;32m  OK  [0;39m]
    + broker
    + :
    + service openshift-broker restart
    Stopping openshift-broker: (already stopped)[60G[[0;32m  OK  [0;39m]
    httpd: Could not reliably determine the server's fully qualified domain name, using broker.example.com for ServerName
    Starting openshift-broker: [60G[[0;32m  OK  [0;39m]
    + broker
    + :
    + service openshift-console restart
    Stopping openshift-console: (already stopped)[60G[[0;32m  OK  [0;39m]
    httpd: Could not reliably determine the server's fully qualified domain name, using broker.example.com for ServerName
    Starting openshift-console: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service openshift-iptables-port-proxy restart
    iptables v1.4.7: can't initialize iptables table `filter': Table does not exist (do you need to insmod?)
    Perhaps iptables or your kernel needs to be upgraded.
    iptables v1.4.7: can't initialize iptables table `nat': Table does not exist (do you need to insmod?)
    Perhaps iptables or your kernel needs to be upgraded.
    iptables v1.4.7: can't initialize iptables table `filter': Table does not exist (do you need to insmod?)
    Perhaps iptables or your kernel needs to be upgraded.
    ERROR: rhc-app-comm INPUT rule not found.  Check /etc/sysconfig/iptables.
    iptables v1.4.7: can't initialize iptables table `filter': Table does not exist (do you need to insmod?)
    Perhaps iptables or your kernel needs to be upgraded.
    iptables v1.4.7: can't initialize iptables table `filter': Table does not exist (do you need to insmod?)
    Perhaps iptables or your kernel needs to be upgraded.
    WARNING: The INPUT rule has been temporarily added.
    192.168.122.163
    iptables-restore v1.4.7: iptables-restore: unable to initialize table 'filter'
    
    Error occurred at line: 1
    Try `iptables-restore -h' or 'iptables-restore --help' for more information.
    cat: write error: Broken pipe
    iptables-restore v1.4.7: iptables-restore: unable to initialize table 'nat'
    
    Error occurred at line: 1
    Try `iptables-restore -h' or 'iptables-restore --help' for more information.
    + node
    + :
    + service oddjobd restart
    Shutting down oddjobd: [60G[[0;31mFAILED[0;39m]
    Starting oddjobd: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service openshift-node-web-proxy restart
    Stopping node-web-proxy: [60G[[0;31mFAILED[0;39m]
[60G[[0;32m  OK  [0;39m]
    Starting node-web-proxy: [60G[[0;32m  OK  [0;39m]
    + node
    + :
    + service openshift-watchman restart
    Stopping Watchman
    Starting Watchman
    + node
    + :
    + /etc/cron.minutely/openshift-facts
    + echo 'OpenShift: Completed restarting services.'
    + true
    + display_passwords
    + set +x
    OpenShift: Completed restarting services.


Expected results:

Fewer error messages.


Additional info:

Comment 1 Miciah Dashiel Butler Masters 2014-07-18 22:36:21 UTC
PR: https://github.com/openshift/openshift-extras/pull/415


Note You need to log in before you can comment on or make changes to this bug.